<?php
// Fist full of comments
function custom_comment($comment, $args, $depth) {
   $GLOBALS['comment'] = $comment; ?>
                 
<li class="comment" id="comment-<?php comment_ID() ?>">	
    
    <div class="gravatar"><?php if ($args['avatar_size'] != 0) echo get_avatar( $comment, $args['avatar_size'] ); ?></div>
    
	<div class="content">

        <cite><?php comment_author_link() ?></cite> <?php _e('Says:', 'woothemes'); ?>
        <?php if ($comment->comment_approved == '0') : ?>
        <em><?php _e('Your comment is awaiting moderation.', 'woothemes'); ?></em>
        <?php endif; ?>
        <br />

        <span class="commentmetadata"><a href="#comment-<?php comment_ID() ?>" title=""><?php comment_date( get_option( 'date_format' ) ) ?> <?php _e('at', 'woothemes'); ?> <?php comment_time() ?></a> <?php edit_comment_link('e','',''); ?></span>
    
        <?php comment_text() ?>
    
        <?php echo comment_reply_link(array('before' => '<p class="reply">', 'after' => '</p>', 'reply_text' => __('Reply', 'woothemes'), 'depth' => $depth, 'max_depth' => $args['max_depth'] ));  ?>
     
     </div>

<?php 
}

// PINGBACK / TRACKBACK OUTPUT
function list_pings($comment, $args, $depth) {

	$GLOBALS['comment'] = $comment; ?>
	
	<li id="comment-<?php comment_ID(); ?>">
		<span class="author"><?php comment_author_link(); ?></span> - 
		<span class="date"><?php echo get_comment_date(get_option('date_format')) ?></span>
		<span class="pingcontent"><?php comment_text() ?></span>

<?php
}

function the_commenter_link() {
    $commenter = get_comment_author_link();
    if ( ereg( ']* class=[^>]+>', $commenter ) ) {$commenter = ereg_replace( '(]* class=[\'"]?)', '\\1url ' , $commenter );
    } else { $commenter = ereg_replace( '(<a )/', '\\1class="url "' , $commenter );}
    echo $commenter ;
}

function the_commenter_avatar() {
    $email = get_comment_author_email();
    $avatar = str_replace( "class='avatar", "class='photo avatar", get_avatar( "$email", "32" ) );
    echo $avatar;
}

?>