<?php
/*
Template Name: Archives Page
*/
?>

<?php get_header(); ?>

		<div id="main">
					
			<h3 class="template-title"><?php the_title(); ?></h3>                              

			<div class="arclist box">
			
				<h2><?php _e('The Last 30 Posts', 'woothemes'); ?></h2>
	
				<ul>
					<?php query_posts('showposts=30'); ?>
                    <?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
						<?php $wp_query->is_home = false; ?>
                        <li><a href="<?php the_permalink() ?>"><?php the_title(); ?></a> - <?php the_time( get_option( 'date_format' ) ); ?> - <?php echo $post->comment_count ?> <?php _e('comments', 'woothemes'); ?></li>
                    
                    <?php endwhile; endif; ?>	
				</ul>				
			
			</div><!--/box-->													
			
			<div class="block two-col">
			
            	<div class="arclist box">
                
                    <h2><?php _e('Categories', 'woothemes'); ?></h2>
        
                    <ul>
                        <?php wp_list_categories('title_li=&hierarchical=0&show_count=1') ?>	
                    </ul>	
                    			
                </div>
			
			</div><!--/grid_5 alpha-->
			
			<div class="block two-col last">
			
            	<div class="arclist box">

                    <h2><?php _e('Monthly Archives', 'woothemes'); ?></h2>
        
                    <ul>
                        <?php wp_get_archives('type=monthly&show_post_count=1') ?>	
                    </ul>				
				
                </div>
			
			</div><!--/grid_5 omega-->
			
			<div class="fix"></div>

		</div><!--/centercol grid_10-->

<?php get_sidebar(); ?>

<?php get_footer(); ?>