<?php 
global $woo_options; 
$exclude = array();
$count = 0; 
$height = $woo_options['woo_slider_height']; if (!$height > 0) $height = 300;
?>

<div id="slides" class="box">

    <?php 
    	if ( ($woo_options['woo_slider_tags'] != '') ) :
	    	unset($tag_array); 
			$slide_tags_array = explode(',',$woo_options['woo_slider_tags']); // Tags to be shown
	        foreach ($slide_tags_array as $tags){ 
				$tag = get_term_by( 'name', trim($tags), 'post_tag', 'ARRAY_A' );
				if ( $tag['term_id'] > 0 )
					$tag_array[] = $tag['term_id'];
			}
		endif;
    ?>
	
	<?php $saved = $wp_query; ?>
	<?php query_posts(array('tag__in' => $tag_array, 'showposts' => $woo_options['woo_slider_entries'])); ?>
	<?php if (have_posts()) : ?>
		<div class="slides_container">  

        <?php while (have_posts()) : the_post(); ?>
		<?php if (!woo_image('return=true')) continue; // Skip post if it doesn't have an image ?>    
        <?php $exclude[$count] = $post->ID; $count++; ?>
			
			<div class="slide">
			
				<?php woo_image('width=540&height='.$height); ?>
				<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
																	
			</div><!-- /.slide -->
			
		<?php endwhile; ?> 
						
		</div><!-- /.slides_container -->
	<?php else: ?>
	<?php echo do_shortcode('[box type="info"]No posts with your specified tag(s) were found[/box]'); ?>
	<?php endif; ?>
    <?php $wp_query = $saved; ?> 
	
		
</div><!-- /#slides -->

<?php

// Exclude posts
if (get_option('woo_exclude') <> $exclude) update_option("woo_exclude", $exclude); 

$count = $count * 16;
echo '
<style type="text/css">#slides .pagination { width:'.$count.'px; }</style>
';

?>
		
<script type="text/javascript">
	<!--//--><![CDATA[//><!--
	jQuery(document).ready(function(){						
	
		jQuery('#slides').slides({
			autoHeight: true,
			autoHeightSpeed: 700,
			effect: '<?php echo $woo_options['woo_slider_effect']; ?>',
			container: 'slides_container',
			<?php if ($woo_options['woo_slider_random'] == "true"): ?>			
			randomize: true,
			<?php endif; ?>
			<?php if ($woo_options['woo_slider_crossfade'] == "true"): ?>			
			crossfade: true,
			<?php endif; ?>
			<?php if ($woo_options['woo_slider_hover'] == "true"): ?>			
			hoverPause: true,
			<?php endif; ?>
			<?php if ($woo_options['woo_slider_auto'] == "true"): ?>
			play: <?php echo $woo_options['woo_slider_interval']*1000; ?>,
			<?php endif; ?>			
			slideSpeed: <?php echo $woo_options['woo_slider_speed']*1000; ?>,
			fadeSpeed: <?php echo $woo_options[ 'woo_slider_speed' ] * 1000; ?>,
			generateNextPrev: <?php if ($woo_options['woo_slider_prevnext']) echo $woo_options['woo_slider_prevnext']; else echo 'true'; ?>,
			generatePagination: <?php if ($woo_options['woo_slider_pagination']) echo $woo_options['woo_slider_pagination']; else echo 'true'; ?>,
			crossfade: true
		});
						
	});
	//-->!]]>
</script>
